﻿#language: ru

@OPC_hands

@ignore

Функционал: 06_OPC_hands.02.002 Запись данных датчиков в РС

Сценарий: 06_OPC_hands.02.002 Создание кнопки для доступа к регистру данных датчиков
	Дано Я подключаюсь под "Администратор"
	Когда я нажимаю на кнопку 'Настроить'
	Тогда открылось окно 'Рабочий стол (Разделы панели пользователя)'
	И в таблице "СоставКоманд" я нажимаю на кнопку с именем 'СоставКомандДобавить'
	И в таблице "СоставКоманд" я нажимаю кнопку выбора у реквизита "Кнопка"
	Тогда открылось окно 'Кнопки панели пользователя'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Кнопка панели пользователя (создание)'
	И в поле 'Заголовок' я ввожу текст 'Данные датчиков ОПС'
	И я меняю значение переключателя 'ВидКоманды_НавигационнаяСсылка' на 'Ссылка:'
	И в поле "НавигационнаяСсылка" я ввожу текст 'e1cib/list/РегистрСведений.к2ДанныеДатчиковОПС'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка панели пользователя (создание) *' в течение 20 секунд
	Тогда открылось окно 'Кнопки панели пользователя'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочий стол (Разделы панели пользователя) *'
	И в таблице "СоставКоманд" в поле 'Строка' я ввожу текст '3'
	И в таблице "СоставКоманд" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий стол (Разделы панели пользователя) *' в течение 20 секунд
	И я нажимаю на кнопку 'Открыть новое окно'
	Тогда открылось окно 'Рабочий стол'

Сценарий: 06_OPC_hands.02.002 Запись данных датчиков
	И я нажимаю на кнопку 'Данные датчиков ОПС'
	Тогда открылось окно 'Данные датчиков ОПС'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	И в поле с именем "Дата" я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'Выпуск сливок без пересчета' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И я нажимаю кнопку выбора у поля "Значение"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Число' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И в поле 'Значение' я ввожу текст '250,000'
	И представление элемента с именем "ДатчикСоздаваемыеДокументы" стало равно "Переработка"
	И представление элемента с именем "ДатчикВариантРаспределенияМатериалов" стало равно "Не распределять"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Данные датчиков ОПС (создание) *' в течение 20 секунд
	Тогда открылось окно 'Данные датчиков ОПС'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Данные датчиков ОПС (создание)'
	И в поле с именем "Дата" я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                        |
		| 'Выпуск сливок с пересчетом по норме' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И я нажимаю кнопку выбора у поля "Значение"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Число' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И в поле 'Значение' я ввожу текст '250,000'
	И представление элемента с именем "ДатчикСоздаваемыеДокументы" стало равно "Переработка"
	И представление элемента с именем "ДатчикВариантРаспределенияМатериалов" стало равно "Не распределять"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Данные датчиков ОПС (создание) *' в течение 20 секунд
	Тогда открылось окно 'Данные датчиков ОПС'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Данные датчиков ОПС (создание)'
	И в поле с именем "Дата" я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                        |
		| 'Выпуск сливок с пересчетом по факту' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И я нажимаю кнопку выбора у поля "Значение"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Число' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И в поле 'Значение' я ввожу текст '250,000'
	И представление элемента с именем "ДатчикСоздаваемыеДокументы" стало равно "Переработка"
	И представление элемента с именем "ДатчикВариантРаспределенияМатериалов" стало равно "Не распределять"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Данные датчиков ОПС (создание) *' в течение 20 секунд
	Тогда открылось окно 'Данные датчиков ОПС'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Данные датчиков ОПС (создание)'
	И в поле с именем "Дата" я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'              |
		| 'Выпуск смеси без пересчета' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И я нажимаю кнопку выбора у поля "Значение"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Число' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И в поле 'Значение' я ввожу текст '100,000'
	И представление элемента с именем "ДатчикСоздаваемыеДокументы" стало равно "Переработка"
	И представление элемента с именем "ДатчикВариантРаспределенияМатериалов" стало равно "Списывать выпуск по заданию"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Данные датчиков ОПС (создание) *' в течение 20 секунд
	Тогда открылось окно 'Данные датчиков ОПС'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Данные датчиков ОПС (создание)'
	И в поле с именем "Дата" я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'              |
		| 'Передача сливок с пересчетом' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И я нажимаю кнопку выбора у поля "Значение"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Число' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И в поле 'Значение' я ввожу текст '50,000'
	И представление элемента с именем "ДатчикСоздаваемыеДокументы" стало равно 'Распоряжение на перемещение'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Данные датчиков ОПС (создание) *' в течение 20 секунд
	Тогда открылось окно 'Данные датчиков ОПС'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Данные датчиков ОПС (создание)'
	И в поле с именем "Дата" я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'Передача сливок без пересчета' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И я нажимаю кнопку выбора у поля "Значение"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Число' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И в поле 'Значение' я ввожу текст '50,000'
	И представление элемента с именем "ДатчикСоздаваемыеДокументы" стало равно 'Распоряжение на перемещение'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Данные датчиков ОПС (создание) *' в течение 20 секунд
	Тогда открылось окно 'Данные датчиков ОПС'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Данные датчиков ОПС (создание)'
	И в поле с именем "Дата" я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'              |
		| 'Выпуск смеси с пересчетом' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И я нажимаю кнопку выбора у поля "Значение"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Число' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Данные датчиков ОПС (создание) *'
	И в поле 'Значение' я ввожу текст '100,000'
	И представление элемента с именем "ДатчикСоздаваемыеДокументы" стало равно "Переработка"
	И представление элемента с именем "ДатчикВариантРаспределенияМатериалов" стало равно "Списывать выпуск по заданию"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Данные датчиков ОПС (создание) *' в течение 20 секунд
	Тогда открылось окно 'Данные датчиков ОПС'
	И Я закрываю окно 'Данные датчиков ОПС'

Сценарий: 06_OPC_hands.02.002 Запуск рег.задания на обработку данных датчиков
	И В командном интерфейсе я выбираю 'Администрирование' 'Обслуживание'
	Тогда открылось окно 'Обслуживание'
	И я разворачиваю группу "Регламентные операции"
	И я нажимаю на кнопку 'Регламентные и фоновые задания'
	Тогда открылось окно 'Регламентные и фоновые задания'
	И я жду, что в таблице "ТаблицаРегламентныеЗадания" количество строк будет "больше" 0 в течение 10 секунд
	И в таблице "ТаблицаРегламентныеЗадания" я перехожу к строке:
		| 'Вкл.' | 'Дата окончания'  | 'Наименование'         |
		| 'Нет'  | '<не определено>' | 'Обработать данные датчиков ОПС' |
	И в таблице "ТаблицаРегламентныеЗадания" я нажимаю на кнопку 'Выполнить сейчас'
	И в таблице "ТаблицаРегламентныеЗадания" у поля "Состояние" я жду значения "Задание выполнено" в течение 7 секунд
	И Я закрываю окно 'Регламентные и фоновые задания'
	Тогда открылось окно 'Обслуживание'
	И Я закрываю окно 'Обслуживание'